> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsteerco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List templates

> List available presentation templates in the workspace.



## OpenAPI

````yaml /openapi.json get /v1/templates
openapi: 3.1.0
info:
  title: Steerco API
  version: 1.0.0
  description: >-
    REST API and MCP server for managing presentations, templates, themes, and
    entities.
servers:
  - url: https://api.getsteerco.com
security: []
paths:
  /v1/templates:
    get:
      summary: List templates
      description: List available presentation templates in the workspace.
      parameters:
        - schema:
            type: string
            description: >-
              The workspace ID. Get available workspaces from GET
              /v1/workspaces.
          required: true
          description: The workspace ID. Get available workspaces from GET /v1/workspaces.
          in: header
          name: X-Workspace-Id
      responses:
        '200':
          description: List of templates
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Template'
      security:
        - apiKey: []
components:
  schemas:
    Template:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        suggestedEntityTypes:
          type: array
          items:
            type: string
      required:
        - id
        - name
        - description
        - suggestedEntityTypes
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: API key (ak_ prefix). Generate one from your Steerco profile settings.

````